/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2014 Frederik Heber. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * FragmentJob.cpp
 *
 * Originally taken from my JobMarket project at 1.1.4.
 *
 *  Created on: Oct 19, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#ifdef HAVE_JOBMARKET
#include "JobMarket/Jobs/FragmentJob.hpp"
#include "JobMarket/Results/FragmentResult.hpp"
#else
#include "Jobs/JobMarket/FragmentJob.hpp"
#include "Jobs/JobMarket/FragmentResult.hpp"
#endif

/** Constructor for class FragmentJob.
 *
 */
FragmentJob::FragmentJob() :
  JobId(JobId::IllegalJob),
  priority(0)
{}

/** Constructor for class FragmentJob.
 *
 * \param _JobId unique id of this job
 */
FragmentJob::FragmentJob(const JobId_t _JobId) :
  JobId(_JobId),
  priority(0)
{}

/** Destructor for class FragmentJob.
 *
 */
FragmentJob::~FragmentJob()
{}

/** Comparator for class FragmentJob.
 * \param other instance to compare to
 * \return every member variable is the same, else - is not
 */
bool FragmentJob::operator==(const FragmentJob &other) const
{
  return (getId() == other.getId());
}
